	import request from '@/utils/request'

// 查询客户列表
	export function listCustomer(query) {
	  return request({
	    url: '/basic/customer/list',
	    method: 'get',
	    params: query
	  })
	}
	
	// 查询客户详细
	export function getCustomer(id) {
  return request({
	    url: '/basic/customer/' + id,
	    method: 'get'
	  })
	}
	// 新增经销商防串货登记
	export function addAntiChannelRecord(data) {
	  return request({
	    url: '/basic/antiChannelRecord',
	    method: 'post',
	    data: data
	  })
	}
	
	let data = {
		pieceNo : '325423w32r4dw23-0001-2'
	 }
	// 防串货查询
	export function handleQuery(ACno) {
	  return request({
	    url: '/basic/antiChannelRecord/handleQuery',
		method: 'post',
	    data: ACno
	  })
	}
	
	
//防串货检索信息 code分别为批号、箱号、件号 其中type：1：批号；2：箱号，3：件号
export function searchByCode(code,type) {
  return request({
	url: '/mes/stockPiece/searchByCode/'+code+'/'+type,
	method: 'get',
  })
}